DROP TABLE IF EXISTS FTS_Lenses;
CREATE VIRTUAL TABLE FTS_Lenses USING fts5(
	ID,
    MakerId,
    MountId,
    MaxAperture,
    MinAperture,
    FocalLength,
    LensType,
    LensLabel,
    Order_No,
    Production_era,
    LensVariants,
    Number_of_lenses_groups,
    MFD,
    Diaphragm_setting_type,
    Angle_of_view,
    Filter_type,
    Accessories,
    Materials,
    Dimensions_diameter,
    Weight,
    Inscriptions,
    Designer,
    Information,
    DateCreated,
    DateChanged,
    Aperture,
    Smallest_object_field,
    Largest_reproduction,
    Position_of_entrance_pupil,
    Scales,
    Viewfinder,
    Length_to_bayonet_flange,
    Largest_diameter,
    Tech_Data,
    Focusing_range,
    Lens_mount_description,
    Maximum_magnification,
    Compatibility,
    Bayonet,
    Dimension,
    Special_editions,
    Known_as,
    Lens_Coding,
    FocalLength_sort,
    Focus_throw,
    Type_of_focus_ring,
    R_lens_spec,
    Row_colour,
    ID_Lens,
    Purchase_date,
    Purchase_price,
    Purchase_serial_no,
    Purchase_from,
    Purchase_lens_colour,
    Purchase_lens_condition,
    Purchase__comment,
    CLA_reason,
    CLA_warranty,
    CLA_serial_no,
    CLA_date_shipment,
    CLA_recipient,
    CLA_eoc,
    CLA_date_arrival,
    CLA_actual_cost,
    CLA_comments,
    Sale_date,
    Sale_price,
    Sale_serial_no,
    Sale_to,
    Sale_lens_colour,
    Sale_lens_condition,
    Sale__comment,
    MakerName,
    CountryId,
    LogoPath,
    WebSite,
    maInformation,
    MountName,
    moInformation
)
